diff --git a/config/rootfiles/common/pam b/config/rootfiles/common/pam
index 0ca320f8f..e487e3fe2 100644
--- a/config/rootfiles/common/pam
+++ b/config/rootfiles/common/pam
@@ -2,6 +2,7 @@
 etc/pam.d
 etc/security
 #etc/security/access.conf
+#etc/security/faillock.conf
 #etc/security/group.conf
 #etc/security/limits.conf
 #etc/security/limits.d
@@ -11,6 +12,7 @@ etc/security
 #etc/security/pam_env.conf
 #etc/security/time.conf
 #lib/security
+#lib/security/faillock
 #lib/security/mkhomedir_helper
 #lib/security/pam_access.la
 lib/security/pam_access.so
@@ -26,6 +28,8 @@ lib/security/pam_env.so
 lib/security/pam_exec.so
 #lib/security/pam_faildelay.la
 lib/security/pam_faildelay.so
+#lib/security/pam_faillock.la
+#lib/security/pam_faillock.so
 #lib/security/pam_filter
 #lib/security/pam_filter.la
 #lib/security/pam_filter.so
@@ -56,6 +60,7 @@ lib/security/pam_mail.so
 #lib/security/pam_motd.so
 #lib/security/pam_namespace.la
 #lib/security/pam_namespace.so
+#lib/security/pam_namespace_helper
 #lib/security/pam_nologin.la
 lib/security/pam_nologin.so
 #lib/security/pam_permit.la
@@ -68,18 +73,14 @@ lib/security/pam_rhosts.so
 #lib/security/pam_rootok.so
 #lib/security/pam_securetty.la
 #lib/security/pam_securetty.so
+#lib/security/pam_setquota.la
+#lib/security/pam_setquota.so
 #lib/security/pam_shells.la
 lib/security/pam_shells.so
 #lib/security/pam_stress.la
 #lib/security/pam_stress.so
 #lib/security/pam_succeed_if.la
 #lib/security/pam_succeed_if.so
-#lib/security/pam_tally
-#lib/security/pam_tally.la
-#lib/security/pam_tally.so
-#lib/security/pam_tally2
-#lib/security/pam_tally2.la
-#lib/security/pam_tally2.so
 #lib/security/pam_time.la
 #lib/security/pam_time.so
 #lib/security/pam_timestamp.la
@@ -91,12 +92,15 @@ lib/security/pam_shells.so
 lib/security/pam_unix.so
 #lib/security/pam_userdb.la
 #lib/security/pam_userdb.so
+#lib/security/pam_usertype.la
+#lib/security/pam_usertype.so
 #lib/security/pam_warn.la
 #lib/security/pam_warn.so
 #lib/security/pam_wheel.la
 #lib/security/pam_wheel.so
 #lib/security/pam_xauth.la
 #lib/security/pam_xauth.so
+#lib/security/pwhistory_helper
 lib/security/unix_chkpwd
 lib/security/unix_update
 #usr/include/security
@@ -113,7 +117,7 @@ lib/security/unix_update
 #usr/lib/libpam.la
 #usr/lib/libpam.so
 usr/lib/libpam.so.0
-usr/lib/libpam.so.0.84.2
+usr/lib/libpam.so.0.85.1
 #usr/lib/libpam_misc.la
 #usr/lib/libpam_misc.so
 usr/lib/libpam_misc.so.0
@@ -122,6 +126,9 @@ usr/lib/libpam_misc.so.0.82.1
 #usr/lib/libpamc.so
 usr/lib/libpamc.so.0
 usr/lib/libpamc.so.0.82.1
+#usr/lib/systemd
+#usr/lib/systemd/system
+#usr/lib/systemd/system/pam_namespace.service
 #usr/share/doc/Linux-PAM
 #usr/share/doc/Linux-PAM/draft-morgan-pam-current.txt
 #usr/share/doc/Linux-PAM/index.html
@@ -170,6 +177,7 @@ usr/lib/libpamc.so.0.82.1
 #usr/share/man/man3/pam_xauth_data.3
 #usr/share/man/man5/access.conf.5
 #usr/share/man/man5/environment.5
+#usr/share/man/man5/faillock.conf.5
 #usr/share/man/man5/group.conf.5
 #usr/share/man/man5/limits.conf.5
 #usr/share/man/man5/namespace.conf.5
@@ -178,6 +186,7 @@ usr/lib/libpamc.so.0.82.1
 #usr/share/man/man5/pam_env.conf.5
 #usr/share/man/man5/time.conf.5
 #usr/share/man/man8/PAM.8
+#usr/share/man/man8/faillock.8
 #usr/share/man/man8/mkhomedir_helper.8
 #usr/share/man/man8/pam.8
 #usr/share/man/man8/pam_access.8
@@ -187,6 +196,7 @@ usr/lib/libpamc.so.0.82.1
 #usr/share/man/man8/pam_env.8
 #usr/share/man/man8/pam_exec.8
 #usr/share/man/man8/pam_faildelay.8
+#usr/share/man/man8/pam_faillock.8
 #usr/share/man/man8/pam_filter.8
 #usr/share/man/man8/pam_ftp.8
 #usr/share/man/man8/pam_group.8
@@ -201,24 +211,27 @@ usr/lib/libpamc.so.0.82.1
 #usr/share/man/man8/pam_mkhomedir.8
 #usr/share/man/man8/pam_motd.8
 #usr/share/man/man8/pam_namespace.8
+#usr/share/man/man8/pam_namespace_helper.8
 #usr/share/man/man8/pam_nologin.8
 #usr/share/man/man8/pam_permit.8
 #usr/share/man/man8/pam_pwhistory.8
 #usr/share/man/man8/pam_rhosts.8
 #usr/share/man/man8/pam_rootok.8
 #usr/share/man/man8/pam_securetty.8
+#usr/share/man/man8/pam_setquota.8
 #usr/share/man/man8/pam_shells.8
+#usr/share/man/man8/pam_stress.8
 #usr/share/man/man8/pam_succeed_if.8
-#usr/share/man/man8/pam_tally.8
-#usr/share/man/man8/pam_tally2.8
 #usr/share/man/man8/pam_time.8
 #usr/share/man/man8/pam_timestamp.8
 #usr/share/man/man8/pam_timestamp_check.8
 #usr/share/man/man8/pam_umask.8
 #usr/share/man/man8/pam_unix.8
 #usr/share/man/man8/pam_userdb.8
+#usr/share/man/man8/pam_usertype.8
 #usr/share/man/man8/pam_warn.8
 #usr/share/man/man8/pam_wheel.8
 #usr/share/man/man8/pam_xauth.8
+#usr/share/man/man8/pwhistory_helper.8
 #usr/share/man/man8/unix_chkpwd.8
 #usr/share/man/man8/unix_update.8
diff --git a/lfs/pam b/lfs/pam
index d5ce5ef69..daae2def3 100644
--- a/lfs/pam
+++ b/lfs/pam
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2019  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.3.1
+VER        = 1.5.1
 
 THISAPP    = Linux-PAM-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 558ff53b0fc0563ca97f79e911822165
+$(DL_FILE)_MD5 = 155f2a31d07077b2c63a1f135876c31b
 
 install : $(TARGET)
 