diff --git a/config/rootfiles/packages/c-ares b/config/rootfiles/packages/c-ares
new file mode 100644
index 000000000..6027768f3
--- /dev/null
+++ b/config/rootfiles/packages/c-ares
@@ -0,0 +1,68 @@
+#usr/include/ares.h
+#usr/include/ares_build.h
+#usr/include/ares_dns.h
+#usr/include/ares_rules.h
+#usr/include/ares_version.h
+#usr/lib/libcares.la
+#usr/lib/libcares.so
+usr/lib/libcares.so.2
+usr/lib/libcares.so.2.4.2
+#usr/lib/pkgconfig/libcares.pc
+#usr/share/man/man3/ares_cancel.3
+#usr/share/man/man3/ares_create_query.3
+#usr/share/man/man3/ares_destroy.3
+#usr/share/man/man3/ares_destroy_options.3
+#usr/share/man/man3/ares_dup.3
+#usr/share/man/man3/ares_expand_name.3
+#usr/share/man/man3/ares_expand_string.3
+#usr/share/man/man3/ares_fds.3
+#usr/share/man/man3/ares_free_data.3
+#usr/share/man/man3/ares_free_hostent.3
+#usr/share/man/man3/ares_free_string.3
+#usr/share/man/man3/ares_freeaddrinfo.3
+#usr/share/man/man3/ares_get_servers.3
+#usr/share/man/man3/ares_get_servers_ports.3
+#usr/share/man/man3/ares_getaddrinfo.3
+#usr/share/man/man3/ares_gethostbyaddr.3
+#usr/share/man/man3/ares_gethostbyname.3
+#usr/share/man/man3/ares_gethostbyname_file.3
+#usr/share/man/man3/ares_getnameinfo.3
+#usr/share/man/man3/ares_getsock.3
+#usr/share/man/man3/ares_inet_ntop.3
+#usr/share/man/man3/ares_inet_pton.3
+#usr/share/man/man3/ares_init.3
+#usr/share/man/man3/ares_init_options.3
+#usr/share/man/man3/ares_library_cleanup.3
+#usr/share/man/man3/ares_library_init.3
+#usr/share/man/man3/ares_library_init_android.3
+#usr/share/man/man3/ares_library_initialized.3
+#usr/share/man/man3/ares_mkquery.3
+#usr/share/man/man3/ares_parse_a_reply.3
+#usr/share/man/man3/ares_parse_aaaa_reply.3
+#usr/share/man/man3/ares_parse_caa_reply.3
+#usr/share/man/man3/ares_parse_mx_reply.3
+#usr/share/man/man3/ares_parse_naptr_reply.3
+#usr/share/man/man3/ares_parse_ns_reply.3
+#usr/share/man/man3/ares_parse_ptr_reply.3
+#usr/share/man/man3/ares_parse_soa_reply.3
+#usr/share/man/man3/ares_parse_srv_reply.3
+#usr/share/man/man3/ares_parse_txt_reply.3
+#usr/share/man/man3/ares_process.3
+#usr/share/man/man3/ares_query.3
+#usr/share/man/man3/ares_save_options.3
+#usr/share/man/man3/ares_search.3
+#usr/share/man/man3/ares_send.3
+#usr/share/man/man3/ares_set_local_dev.3
+#usr/share/man/man3/ares_set_local_ip4.3
+#usr/share/man/man3/ares_set_local_ip6.3
+#usr/share/man/man3/ares_set_servers.3
+#usr/share/man/man3/ares_set_servers_csv.3
+#usr/share/man/man3/ares_set_servers_ports.3
+#usr/share/man/man3/ares_set_servers_ports_csv.3
+#usr/share/man/man3/ares_set_socket_callback.3
+#usr/share/man/man3/ares_set_socket_configure_callback.3
+#usr/share/man/man3/ares_set_socket_functions.3
+#usr/share/man/man3/ares_set_sortlist.3
+#usr/share/man/man3/ares_strerror.3
+#usr/share/man/man3/ares_timeout.3
+#usr/share/man/man3/ares_version.3
diff --git a/lfs/c-ares b/lfs/c-ares
new file mode 100644
index 000000000..1f07623ac
--- /dev/null
+++ b/lfs/c-ares
@@ -0,0 +1,89 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.17.1
+
+THISAPP    = c-ares-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = c-ares
+PAK_VER    = 1
+
+DEPS       =
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = 28f65c8ee6c097986bd902fd4f0804e2
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && ./configure	\
+		--prefix=/usr		\
+		--enable-static=no
+
+	cd $(DIR_APP) && make $(MAKETUNING)
+	cd $(DIR_APP) && make install
+
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
+
diff --git a/make.sh b/make.sh
index b17aca457..e1d5db220 100755
--- a/make.sh
+++ b/make.sh
@@ -1233,6 +1233,7 @@ buildipfire() {
   lfsmake2 linux-atm
   lfsmake2 gdbm
   lfsmake2 pam
+  lfsmake2 c-ares
   lfsmake2 curl
   lfsmake2 tcl
   lfsmake2 sqlite