diff --git a/config/rootfiles/common/fcron b/config/rootfiles/common/fcron
index fb4410f4d..55b2d45f5 100644
--- a/config/rootfiles/common/fcron
+++ b/config/rootfiles/common/fcron
@@ -2,7 +2,6 @@ etc/fcron.allow
 etc/fcron.conf
 #etc/fcron.cyclic
 etc/fcron.cyclic/info.txt
-#etc/fcron.daily
 etc/fcron.daily/info.txt
 etc/fcron.deny
 #etc/fcron.hourly
@@ -15,67 +14,67 @@ etc/fcron.weekly/info.txt
 usr/bin/fcronsighup
 usr/bin/fcrontab
 usr/sbin/fcron
-#usr/share/doc/fcron-3.2.0
-#usr/share/doc/fcron-3.2.0/en
-#usr/share/doc/fcron-3.2.0/en/HTML
-#usr/share/doc/fcron-3.2.0/en/HTML/LEGALNOTICE.html
-#usr/share/doc/fcron-3.2.0/en/HTML/changes.html
-#usr/share/doc/fcron-3.2.0/en/HTML/faq.html
-#usr/share/doc/fcron-3.2.0/en/HTML/fcron.8.html
-#usr/share/doc/fcron-3.2.0/en/HTML/fcron.conf.5.html
-#usr/share/doc/fcron-3.2.0/en/HTML/fcrondyn.1.html
-#usr/share/doc/fcron-3.2.0/en/HTML/fcrontab.1.html
-#usr/share/doc/fcron-3.2.0/en/HTML/fcrontab.5.html
-#usr/share/doc/fcron-3.2.0/en/HTML/fdl.html
-#usr/share/doc/fcron-3.2.0/en/HTML/gpl.html
-#usr/share/doc/fcron-3.2.0/en/HTML/how-and-why.html
-#usr/share/doc/fcron-3.2.0/en/HTML/index.html
-#usr/share/doc/fcron-3.2.0/en/HTML/install.html
-#usr/share/doc/fcron-3.2.0/en/HTML/manpages.html
-#usr/share/doc/fcron-3.2.0/en/HTML/readme.html
-#usr/share/doc/fcron-3.2.0/en/HTML/relnotes.html
-#usr/share/doc/fcron-3.2.0/en/HTML/thanks.html
-#usr/share/doc/fcron-3.2.0/en/HTML/todo.html
-#usr/share/doc/fcron-3.2.0/en/HTML/using-fcron.html
-#usr/share/doc/fcron-3.2.0/en/txt
-#usr/share/doc/fcron-3.2.0/en/txt/changes.txt
-#usr/share/doc/fcron-3.2.0/en/txt/faq.txt
-#usr/share/doc/fcron-3.2.0/en/txt/gpl.txt
-#usr/share/doc/fcron-3.2.0/en/txt/install.txt
-#usr/share/doc/fcron-3.2.0/en/txt/readme.txt
-#usr/share/doc/fcron-3.2.0/en/txt/relnotes.txt
-#usr/share/doc/fcron-3.2.0/en/txt/thanks.txt
-#usr/share/doc/fcron-3.2.0/en/txt/todo.txt
-#usr/share/doc/fcron-3.2.0/fr
-#usr/share/doc/fcron-3.2.0/fr/HTML
-#usr/share/doc/fcron-3.2.0/fr/HTML/LEGALNOTICE.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/changes.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/faq.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/fcron.8.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/fcron.conf.5.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/fcrondyn.1.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/fcrontab.1.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/fcrontab.5.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/fdl.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/gpl.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/how-and-why.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/index.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/install.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/manpages.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/readme.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/relnotes.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/thanks.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/todo.html
-#usr/share/doc/fcron-3.2.0/fr/HTML/using-fcron.html
-#usr/share/doc/fcron-3.2.0/fr/txt
-#usr/share/doc/fcron-3.2.0/fr/txt/changes.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/faq.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/gpl.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/install.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/readme.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/relnotes.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/thanks.txt
-#usr/share/doc/fcron-3.2.0/fr/txt/todo.txt
+#usr/share/doc/fcron-3.2.1
+#usr/share/doc/fcron-3.2.1/en
+#usr/share/doc/fcron-3.2.1/en/HTML
+#usr/share/doc/fcron-3.2.1/en/HTML/LEGALNOTICE.html
+#usr/share/doc/fcron-3.2.1/en/HTML/changes.html
+#usr/share/doc/fcron-3.2.1/en/HTML/faq.html
+#usr/share/doc/fcron-3.2.1/en/HTML/fcron.8.html
+#usr/share/doc/fcron-3.2.1/en/HTML/fcron.conf.5.html
+#usr/share/doc/fcron-3.2.1/en/HTML/fcrondyn.1.html
+#usr/share/doc/fcron-3.2.1/en/HTML/fcrontab.1.html
+#usr/share/doc/fcron-3.2.1/en/HTML/fcrontab.5.html
+#usr/share/doc/fcron-3.2.1/en/HTML/fdl.html
+#usr/share/doc/fcron-3.2.1/en/HTML/gpl.html
+#usr/share/doc/fcron-3.2.1/en/HTML/how-and-why.html
+#usr/share/doc/fcron-3.2.1/en/HTML/index.html
+#usr/share/doc/fcron-3.2.1/en/HTML/install.html
+#usr/share/doc/fcron-3.2.1/en/HTML/manpages.html
+#usr/share/doc/fcron-3.2.1/en/HTML/readme.html
+#usr/share/doc/fcron-3.2.1/en/HTML/relnotes.html
+#usr/share/doc/fcron-3.2.1/en/HTML/thanks.html
+#usr/share/doc/fcron-3.2.1/en/HTML/todo.html
+#usr/share/doc/fcron-3.2.1/en/HTML/using-fcron.html
+#usr/share/doc/fcron-3.2.1/en/txt
+#usr/share/doc/fcron-3.2.1/en/txt/changes.txt
+#usr/share/doc/fcron-3.2.1/en/txt/faq.txt
+#usr/share/doc/fcron-3.2.1/en/txt/gpl.txt
+#usr/share/doc/fcron-3.2.1/en/txt/install.txt
+#usr/share/doc/fcron-3.2.1/en/txt/readme.txt
+#usr/share/doc/fcron-3.2.1/en/txt/relnotes.txt
+#usr/share/doc/fcron-3.2.1/en/txt/thanks.txt
+#usr/share/doc/fcron-3.2.1/en/txt/todo.txt
+#usr/share/doc/fcron-3.2.1/fr
+#usr/share/doc/fcron-3.2.1/fr/HTML
+#usr/share/doc/fcron-3.2.1/fr/HTML/LEGALNOTICE.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/changes.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/faq.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/fcron.8.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/fcron.conf.5.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/fcrondyn.1.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/fcrontab.1.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/fcrontab.5.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/fdl.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/gpl.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/how-and-why.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/index.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/install.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/manpages.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/readme.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/relnotes.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/thanks.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/todo.html
+#usr/share/doc/fcron-3.2.1/fr/HTML/using-fcron.html
+#usr/share/doc/fcron-3.2.1/fr/txt
+#usr/share/doc/fcron-3.2.1/fr/txt/changes.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/faq.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/gpl.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/install.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/readme.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/relnotes.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/thanks.txt
+#usr/share/doc/fcron-3.2.1/fr/txt/todo.txt
 #usr/share/man/fr
 #usr/share/man/fr/man1
 #usr/share/man/fr/man1/fcrondyn.1
diff --git a/lfs/fcron b/lfs/fcron
index 8e39dc6be..97f67e5cc 100644
--- a/lfs/fcron
+++ b/lfs/fcron
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 3.2.0
+VER        = 3.2.1
 
 THISAPP    = fcron-$(VER)
 DL_FILE    = $(THISAPP).src.tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 4b031c2fba32a98fa814d1557158b0e9
+$(DL_FILE)_MD5 = bd4996e941a40327d11efc5e3fd1f839
 
 install : $(TARGET)
 