diff --git a/config/rootfiles/common/tcl b/config/rootfiles/common/tcl
index c82d99457..5ad0d658a 100644
--- a/config/rootfiles/common/tcl
+++ b/config/rootfiles/common/tcl
@@ -25,20 +25,20 @@ usr/bin/tclsh8.6
 #usr/include/tdbc.h
 #usr/include/tdbcDecls.h
 #usr/include/tdbcInt.h
-#usr/lib/itcl4.2.0
-usr/lib/itcl4.2.0/itcl.tcl
-usr/lib/itcl4.2.0/itclConfig.sh
-usr/lib/itcl4.2.0/itclHullCmds.tcl
-usr/lib/itcl4.2.0/itclWidget.tcl
-usr/lib/itcl4.2.0/libitcl4.2.0.so
-usr/lib/itcl4.2.0/libitclstub4.2.0.a
-usr/lib/itcl4.2.0/pkgIndex.tcl
+#usr/lib/itcl4.2.1
+usr/lib/itcl4.2.1/itcl.tcl
+usr/lib/itcl4.2.1/itclConfig.sh
+usr/lib/itcl4.2.1/itclHullCmds.tcl
+usr/lib/itcl4.2.1/itclWidget.tcl
+usr/lib/itcl4.2.1/libitcl4.2.1.so
+usr/lib/itcl4.2.1/libitclstub4.2.1.a
+usr/lib/itcl4.2.1/pkgIndex.tcl
 usr/lib/libtcl8.6.so
 #usr/lib/libtclstub8.6.a
 #usr/lib/pkgconfig/tcl.pc
-#usr/lib/sqlite3.30.1.2
-usr/lib/sqlite3.30.1.2/libsqlite3.30.1.2.so
-usr/lib/sqlite3.30.1.2/pkgIndex.tcl
+#usr/lib/sqlite3.34.0
+usr/lib/sqlite3.34.0/libsqlite3.34.0.so
+usr/lib/sqlite3.34.0/pkgIndex.tcl
 #usr/lib/tcl8
 #usr/lib/tcl8.6
 usr/lib/tcl8.6/auto.tcl
@@ -267,39 +267,39 @@ usr/lib/tcl8.6/tm.tcl
 usr/lib/tcl8.6/word.tcl
 #usr/lib/tcl8/8.4
 usr/lib/tcl8/8.4/platform
-usr/lib/tcl8/8.4/platform-1.0.14.tm
+usr/lib/tcl8/8.4/platform-1.0.15.tm
 usr/lib/tcl8/8.4/platform/shell-1.1.4.tm
 #usr/lib/tcl8/8.5
 usr/lib/tcl8/8.5/msgcat-1.6.1.tm
-usr/lib/tcl8/8.5/tcltest-2.5.1.tm
+usr/lib/tcl8/8.5/tcltest-2.5.3.tm
 #usr/lib/tcl8/8.6
-usr/lib/tcl8/8.6/http-2.9.1.tm
+usr/lib/tcl8/8.6/http-2.9.5.tm
 usr/lib/tcl8/8.6/tdbc
-usr/lib/tcl8/8.6/tdbc/sqlite3-1.1.1.tm
+usr/lib/tcl8/8.6/tdbc/sqlite3-1.1.2.tm
 usr/lib/tclConfig.sh
 usr/lib/tclooConfig.sh
-#usr/lib/tdbc1.1.1
-usr/lib/tdbc1.1.1/libtdbc1.1.1.so
-usr/lib/tdbc1.1.1/libtdbcstub1.1.1.a
-usr/lib/tdbc1.1.1/pkgIndex.tcl
-usr/lib/tdbc1.1.1/tdbc.tcl
-usr/lib/tdbc1.1.1/tdbcConfig.sh
-#usr/lib/tdbcmysql1.1.1
-usr/lib/tdbcmysql1.1.1/libtdbcmysql1.1.1.so
-usr/lib/tdbcmysql1.1.1/pkgIndex.tcl
-usr/lib/tdbcmysql1.1.1/tdbcmysql.tcl
-#usr/lib/tdbcodbc1.1.1
-usr/lib/tdbcodbc1.1.1/libtdbcodbc1.1.1.so
-usr/lib/tdbcodbc1.1.1/pkgIndex.tcl
-usr/lib/tdbcodbc1.1.1/tdbcodbc.tcl
-#usr/lib/tdbcpostgres1.1.1
-usr/lib/tdbcpostgres1.1.1/libtdbcpostgres1.1.1.so
-usr/lib/tdbcpostgres1.1.1/pkgIndex.tcl
-usr/lib/tdbcpostgres1.1.1/tdbcpostgres.tcl
-#usr/lib/thread2.8.5
-usr/lib/thread2.8.5/libthread2.8.5.so
-usr/lib/thread2.8.5/pkgIndex.tcl
-usr/lib/thread2.8.5/ttrace.tcl
+#usr/lib/tdbc1.1.2
+usr/lib/tdbc1.1.2/libtdbc1.1.2.so
+usr/lib/tdbc1.1.2/libtdbcstub1.1.2.a
+usr/lib/tdbc1.1.2/pkgIndex.tcl
+usr/lib/tdbc1.1.2/tdbc.tcl
+usr/lib/tdbc1.1.2/tdbcConfig.sh
+#usr/lib/tdbcmysql1.1.2
+usr/lib/tdbcmysql1.1.2/libtdbcmysql1.1.2.so
+usr/lib/tdbcmysql1.1.2/pkgIndex.tcl
+usr/lib/tdbcmysql1.1.2/tdbcmysql.tcl
+#usr/lib/tdbcodbc1.1.2
+usr/lib/tdbcodbc1.1.2/libtdbcodbc1.1.2.so
+usr/lib/tdbcodbc1.1.2/pkgIndex.tcl
+usr/lib/tdbcodbc1.1.2/tdbcodbc.tcl
+#usr/lib/tdbcpostgres1.1.2
+usr/lib/tdbcpostgres1.1.2/libtdbcpostgres1.1.2.so
+usr/lib/tdbcpostgres1.1.2/pkgIndex.tcl
+usr/lib/tdbcpostgres1.1.2/tdbcpostgres.tcl
+#usr/lib/thread2.8.6
+usr/lib/thread2.8.6/libthread2.8.6.so
+usr/lib/thread2.8.6/pkgIndex.tcl
+usr/lib/thread2.8.6/ttrace.tcl
 #usr/man/man1/tclsh.1
 #usr/man/man3/DString.3
 #usr/man/man3/Notifier.3
@@ -383,6 +383,7 @@ usr/lib/thread2.8.5/ttrace.tcl
 #usr/man/man3/Tcl_CreateAliasObj.3
 #usr/man/man3/Tcl_CreateChannel.3
 #usr/man/man3/Tcl_CreateChannelHandler.3
+#usr/man/man3/Tcl_CreateChild.3
 #usr/man/man3/Tcl_CreateCloseHandler.3
 #usr/man/man3/Tcl_CreateCommand.3
 #usr/man/man3/Tcl_CreateEncoding.3
@@ -558,6 +559,7 @@ usr/lib/thread2.8.5/ttrace.tcl
 #usr/man/man3/Tcl_GetChannelThread.3
 #usr/man/man3/Tcl_GetChannelType.3
 #usr/man/man3/Tcl_GetCharLength.3
+#usr/man/man3/Tcl_GetChild.3
 #usr/man/man3/Tcl_GetClassAsObject.3
 #usr/man/man3/Tcl_GetCommandFromObj.3
 #usr/man/man3/Tcl_GetCommandFullName.3
@@ -613,6 +615,7 @@ usr/lib/thread2.8.5/ttrace.tcl
 #usr/man/man3/Tcl_GetObjectName.3
 #usr/man/man3/Tcl_GetObjectNamespace.3
 #usr/man/man3/Tcl_GetOpenFile.3
+#usr/man/man3/Tcl_GetParent.3
 #usr/man/man3/Tcl_GetPathType.3
 #usr/man/man3/Tcl_GetRange.3
 #usr/man/man3/Tcl_GetRegExpFromObj.3
diff --git a/lfs/tcl b/lfs/tcl
index a27a0bba3..e4b15c7fb 100644
--- a/lfs/tcl
+++ b/lfs/tcl
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2021  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 8.6.10
+VER        = 8.6.11
 
 THISAPP    = tcl$(VER)
 DL_FILE    = $(THISAPP)-src.tar.gz
@@ -45,7 +45,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 97c55573f8520bcab74e21bfd8d0aadc
+$(DL_FILE)_MD5 = 8a4c004f48984a03a7747e9ba06e4da4
 
 install : $(TARGET)
 