diff --git a/config/rootfiles/packages/sysbench b/config/rootfiles/packages/sysbench
index 31642561b..d38ecba1f 100644
--- a/config/rootfiles/packages/sysbench
+++ b/config/rootfiles/packages/sysbench
@@ -1 +1,88 @@
 usr/bin/sysbench
+#usr/share/sysbench
+usr/share/sysbench/bulk_insert.lua
+usr/share/sysbench/oltp_common.lua
+usr/share/sysbench/oltp_delete.lua
+usr/share/sysbench/oltp_insert.lua
+usr/share/sysbench/oltp_point_select.lua
+usr/share/sysbench/oltp_read_only.lua
+usr/share/sysbench/oltp_read_write.lua
+usr/share/sysbench/oltp_update_index.lua
+usr/share/sysbench/oltp_update_non_index.lua
+usr/share/sysbench/oltp_write_only.lua
+usr/share/sysbench/select_random_points.lua
+usr/share/sysbench/select_random_ranges.lua
+#usr/share/sysbench/tests
+#usr/share/sysbench/tests/include
+usr/share/sysbench/tests/include/api_sql_common.sh
+usr/share/sysbench/tests/include/config.sh
+usr/share/sysbench/tests/include/drv_common.sh
+usr/share/sysbench/tests/include/inspect.lua
+usr/share/sysbench/tests/include/mysql_common.sh
+#usr/share/sysbench/tests/include/oltp_legacy
+usr/share/sysbench/tests/include/oltp_legacy/bulk_insert.lua
+usr/share/sysbench/tests/include/oltp_legacy/common.lua
+usr/share/sysbench/tests/include/oltp_legacy/delete.lua
+usr/share/sysbench/tests/include/oltp_legacy/insert.lua
+usr/share/sysbench/tests/include/oltp_legacy/oltp.lua
+usr/share/sysbench/tests/include/oltp_legacy/oltp_simple.lua
+usr/share/sysbench/tests/include/oltp_legacy/parallel_prepare.lua
+usr/share/sysbench/tests/include/oltp_legacy/select.lua
+usr/share/sysbench/tests/include/oltp_legacy/select_random_points.lua
+usr/share/sysbench/tests/include/oltp_legacy/select_random_ranges.lua
+usr/share/sysbench/tests/include/oltp_legacy/update_index.lua
+usr/share/sysbench/tests/include/oltp_legacy/update_non_index.lua
+usr/share/sysbench/tests/include/pgsql_common.sh
+usr/share/sysbench/tests/include/script_bulk_insert_common.sh
+usr/share/sysbench/tests/include/script_oltp_common.sh
+usr/share/sysbench/tests/include/script_oltp_legacy_common.sh
+usr/share/sysbench/tests/include/script_select_random_common.sh
+usr/share/sysbench/tests/include/script_select_random_legacy_common.sh
+#usr/share/sysbench/tests/t
+usr/share/sysbench/tests/t/1st.t
+usr/share/sysbench/tests/t/api_basic.t
+usr/share/sysbench/tests/t/api_histogram.t
+usr/share/sysbench/tests/t/api_legacy_basic.t
+usr/share/sysbench/tests/t/api_legacy_rand.t
+usr/share/sysbench/tests/t/api_legacy_sql.t
+usr/share/sysbench/tests/t/api_rand.t
+usr/share/sysbench/tests/t/api_reports.t
+usr/share/sysbench/tests/t/api_sql_mysql.t
+usr/share/sysbench/tests/t/api_sql_pgsql.t
+usr/share/sysbench/tests/t/cmd_cleanup.t
+usr/share/sysbench/tests/t/cmd_help.t
+usr/share/sysbench/tests/t/cmd_prepare.t
+usr/share/sysbench/tests/t/cmd_run.t
+usr/share/sysbench/tests/t/cmdline.t
+usr/share/sysbench/tests/t/commands.t
+usr/share/sysbench/tests/t/drivers.t
+usr/share/sysbench/tests/t/drv_mysql.t
+usr/share/sysbench/tests/t/drv_pgsql.t
+usr/share/sysbench/tests/t/help_drv_mysql.t
+usr/share/sysbench/tests/t/help_drv_pgsql.t
+usr/share/sysbench/tests/t/opt_help.t
+usr/share/sysbench/tests/t/opt_histogram.t
+usr/share/sysbench/tests/t/opt_rate.t
+usr/share/sysbench/tests/t/opt_report_checkpoints.t
+usr/share/sysbench/tests/t/opt_report_interval.t
+usr/share/sysbench/tests/t/opt_version.t
+usr/share/sysbench/tests/t/script_bulk_insert_mysql.t
+usr/share/sysbench/tests/t/script_bulk_insert_pgsql.t
+usr/share/sysbench/tests/t/script_oltp_delete_mysql.t
+usr/share/sysbench/tests/t/script_oltp_delete_pgsql.t
+usr/share/sysbench/tests/t/script_oltp_help.t
+usr/share/sysbench/tests/t/script_oltp_insert_mysql.t
+usr/share/sysbench/tests/t/script_oltp_insert_pgsql.t
+usr/share/sysbench/tests/t/script_oltp_point_select_mysql.t
+usr/share/sysbench/tests/t/script_oltp_point_select_pgsql.t
+usr/share/sysbench/tests/t/script_oltp_read_write_mysql.t
+usr/share/sysbench/tests/t/script_oltp_read_write_pgsql.t
+usr/share/sysbench/tests/t/script_select_random_mysql.t
+usr/share/sysbench/tests/t/script_select_random_pgsql.t
+usr/share/sysbench/tests/t/test_cpu.t
+usr/share/sysbench/tests/t/test_fileio.t
+usr/share/sysbench/tests/t/test_memory.t
+usr/share/sysbench/tests/t/test_mutex.t
+usr/share/sysbench/tests/t/test_threads.t
+usr/share/sysbench/tests/t/tests.t
+usr/share/sysbench/tests/test_run.sh
diff --git a/lfs/sysbench b/lfs/sysbench
index 557c00ee3..ff9478d28 100644
--- a/lfs/sysbench
+++ b/lfs/sysbench
@@ -9,7 +9,7 @@
 
 include Config
 
-VER        = 0.4.12
+VER        = 1.0.20
 
 THISAPP    = sysbench-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -17,7 +17,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = sysbench
-PAK_VER    = 1
+PAK_VER    = 2
 
 DEPS       =
 
@@ -29,7 +29,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 3a6d54fdd3fe002328e4458206392b9d
+$(DL_FILE)_MD5 = 756381c6fc4e16af1e0831b5e6a3dcb3
 
 install : $(TARGET)
 