diff --git a/config/rootfiles/packages/perl-TimeDate b/config/rootfiles/packages/perl-TimeDate
index 9e14f074f..a5f5da95c 100644
--- a/config/rootfiles/packages/perl-TimeDate
+++ b/config/rootfiles/packages/perl-TimeDate
@@ -1,43 +1,43 @@
-usr/lib/perl5/site_perl/5.30.0/Date/Format.pm
-#usr/lib/perl5/site_perl/5.30.0/Date/Language
-usr/lib/perl5/site_perl/5.30.0/Date/Language.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Afar.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Amharic.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Austrian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Brazilian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Chinese.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Chinese_GB.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Czech.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Danish.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Dutch.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/English.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Finnish.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/French.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Gedeo.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/German.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Greek.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Hungarian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Icelandic.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Italian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Norwegian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Oromo.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Romanian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Russian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Russian_cp1251.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Russian_koi8r.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Sidama.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Somali.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Spanish.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Swedish.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Tigrinya.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/TigrinyaEritrean.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/TigrinyaEthiopian.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Language/Turkish.pm
-usr/lib/perl5/site_perl/5.30.0/Date/Parse.pm
-#usr/lib/perl5/site_perl/5.30.0/Time
-usr/lib/perl5/site_perl/5.30.0/Time/Zone.pm
-#usr/lib/perl5/site_perl/5.30.0/xxxMACHINExxx-linux-thread-multi/auto/TimeDate
-#usr/lib/perl5/site_perl/5.30.0/xxxMACHINExxx-linux-thread-multi/auto/TimeDate/.packlist
+usr/lib/perl5/site_perl/5.32.1/Date/Format.pm
+#usr/lib/perl5/site_perl/5.32.1/Date/Language
+usr/lib/perl5/site_perl/5.32.1/Date/Language.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Afar.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Amharic.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Austrian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Brazilian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Chinese.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Chinese_GB.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Czech.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Danish.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Dutch.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/English.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Finnish.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/French.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Gedeo.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/German.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Greek.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Hungarian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Icelandic.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Italian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Norwegian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Oromo.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Romanian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Russian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Russian_cp1251.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Russian_koi8r.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Sidama.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Somali.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Spanish.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Swedish.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Tigrinya.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/TigrinyaEritrean.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/TigrinyaEthiopian.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Language/Turkish.pm
+usr/lib/perl5/site_perl/5.32.1/Date/Parse.pm
+#usr/lib/perl5/site_perl/5.32.1/Time
+usr/lib/perl5/site_perl/5.32.1/Time/Zone.pm
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/TimeDate
+#usr/lib/perl5/site_perl/5.32.1/xxxMACHINExxx-linux-thread-multi/auto/TimeDate/.packlist
 #usr/share/man/man3/Date::Format.3
 #usr/share/man/man3/Date::Language.3
 #usr/share/man/man3/Date::Language::Hungarian.3
diff --git a/lfs/perl-TimeDate b/lfs/perl-TimeDate
index a2a06ae3c..26e6d365a 100644
--- a/lfs/perl-TimeDate
+++ b/lfs/perl-TimeDate
@@ -32,7 +32,7 @@ DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = perl-TimeDate
 DEPS       =
-PAK_VER    = 4
+PAK_VER    = 5
 
 ###############################################################################
 # Top-level Rules